<?php
/*
+----------------------------------------------------------------+
|																 |
|	WordPress 2.8 Plugin: WP-PhotoContest 1.0                    |
|	Copyright (c) 2009 Frank van der Stad						 |
|																 |
|	File Written By:											 |
|	- Frank van der Stad										 |
|	- http://www.vanderstad.nl/wp-photocontest									 |
|																 |
|	File Information:											 |
|	- Add PhotoContest											 |
|	- wp-content/plugins/wp-photocontest/photocontest-add.php	 |
|																 |
+----------------------------------------------------------------+
*/


### Check Whether User Can Manage PhotoContest
if(!current_user_can('manage_photocontest')) {
	die('Access Denied');
}

$wpdb->hide_errors();
if (DEBUG_FLAG == 1)
{
	error_reporting(E_ALL);
	if (!ini_get("display_errors") || ini_get("display_errors")==0)
	{
		ini_set("display_errors", 1);
	} 
	$wpdb->show_errors();
}

### PhotoContest Manager
$base_name = plugin_basename('wp-photocontest/photocontest-manager.php');
$base_page = 'admin.php?page='.$base_name;

### Add the lib classes
require_once(dirname(__FILE__).'/lib/wp-photocontest.functions.php');
require_once(dirname(__FILE__).'/lib/wp-photocontest.class.php');
require_once(dirname(__FILE__).'/lib/debug.func.php');

### Variables
$checkArray = 	array(
					"mode"=>"",
					"contest_id"=>"",
					"post_id"=>"",
					"p"=>"",
					"img_id"=>"",
					"photocontest_init_day"=>"",
					"photocontest_end_day"=>"",
					"visible"=>"",
					"v"=>""
				);
$_REQUEST = array_merge($checkArray,$_REQUEST);

$mode					= wppc_checkOptions($_REQUEST['mode'],array(__('Edit PhotoContest', 'wp-photocontest'),__('Edit Startdate', 'wp-photocontest'),__('Edit Enddate', 'wp-photocontest'),'show_tables','delete','view_contest','view_votes','refresh','changeto','changefrom') );
$contest_id 			= wppc_checkInteger($_REQUEST['contest_id']);
$post_id 				= wppc_checkInteger($_REQUEST['post_id']);
$p		 				= wppc_checkInteger($_REQUEST['p'],1);
$img_id 				= wppc_checkInteger($_REQUEST['img_id']);
$photocontest_init_day 	= wppc_checkValidDate($_REQUEST['photocontest_init_day']);
$photocontest_end_day 	= wppc_checkValidDate($_REQUEST['photocontest_end_day']);
$visible 				= wppc_checkOptions($_REQUEST['v'],array('Y', 'N'));

### Add some vars
$filter_post_id	= null;
$show_list 		= true;

### Form Processing 
if(!empty($mode)) {
	// Decide What To Do
	switch($mode) {
		// Edit PhotoContest
		case __('Edit PhotoContest', 'wp-photocontest'):
			// PhotoContest ID
			
		break;
		
		case __('Edit Startdate', 'wp-photocontest'):
			// PhotoContest ID
			if ($photocontest_init_day && $contest_id)
			{
				//update total count images
				$update_result = $wpdb->update
				(
					$wpdb->prefix.'photocontest_admin',
					array( 'start_date' => $photocontest_init_day ),
					array( 'contest_id' => $contest_id )
				);	
				if ($update_result)
				{
					$text .= '<p style="color: green;">'.sprintf(__('PhotoContest with id \'%d\' updated successfully.', 'wp-photocontest'), $contest_id).'</p>';
					break;
				}
				else
				{
					$text .= '<p style="color: red;">'.sprintf(__('Error in updating PhotoContest with id \'%d\'.', 'wp-photocontest'), $contest_id).'</p>';
					$text .= '<p style="color: red;">'.__('Database update failed.', 'wp-photocontest').'</p>';
					$text .= '<p style="color: red;">'.wppc_printDatabaseError().'</p>';
					break;
				}		
			}
			else
			{
				$text .= '<p style="color: red;">'.sprintf(__('Error in adding PhotoContest \'%s\'.', 'wp-photocontest'), stripslashes($photocontest_contest_name)).'</p>';
				$text .= '<p style="color: red;">'.__('Invalid startdate.', 'wp-photocontest').'</p>';
				break;				
			}
		break;	
		
		case __('Edit Enddate', 'wp-photocontest'):
			// PhotoContest ID
			if ($photocontest_end_day && $contest_id)
			{
				//update total count images
				$update_result = $wpdb->update
				(
					$wpdb->prefix.'photocontest_admin',
					array( 'end_date' => $photocontest_end_day ),
					array( 'contest_id' => $contest_id )
				);	
				if ($update_result)
				{
					$text .= '<p style="color: green;">'.sprintf(__('PhotoContest with id \'%d\' updated successfully.', 'wp-photocontest'), $contest_id).'</p>';
					break;
				}
				else
				{
					$text .= '<p style="color: red;">'.sprintf(__('Error in updating PhotoContest with id \'%d\'.', 'wp-photocontest'), $contest_id).'</p>';
					$text .= '<p style="color: red;">'.__('Database update failed.', 'wp-photocontest').'</p>';
					$text .= '<p style="color: red;">'.wppc_printDatabaseError().'</p>';					
					break;
				}		
			}
			else
			{
				$text .= '<p style="color: red;">'.sprintf(__('Error in adding PhotoContest \'%s\'.', 'wp-photocontest'), stripslashes($photocontest_contest_name)).'</p>';
				$text .= '<p style="color: red;">'.__('Invalid enddate.', 'wp-photocontest').'</p>';
				break;				
			}
		
		break;
		
		default:
			// We don't have a valid action. Just show the add-form
		break;			
	}
}		
?>

<div class="wrap">
	<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>?page=<?php echo plugin_basename(__FILE__); ?>">
	<h2><?php _e('PhotoContest Admin', 'wp-photocontest');?></h2>
	<?php
		### Determines Which Mode It Is
		switch($mode) {
			// Change from date
			case 'changefrom':
				$prq="SELECT contest_id, post_id, start_date, end_date, contest_path, contest_name, num_photo FROM ".$wpdb->prefix."photocontest_admin WHERE contest_id=".$contest_id;
				$out = $wpdb->get_row($prq);
				?>
				<input type="hidden" name="contest_id" value="<?php echo $contest_id; ?>" />
				<h3><?php _e('Edit Startdate', 'wp-photocontest'); ?></h3>
				<table class="form-table">
					<tr>
						<th width="20%" scope="row" valign="top"><?php _e('Startdate', 'wp-photocontest') ?>:</th>
						<td width="80%">
							<input type="text" name="photocontest_init_day" id="photocontest_init_day" size="30"><input type="reset" value=" ... " onclick="return showCalendar('photocontest_init_day', '%Y-%m-%d');">
							<br /><?php _e('Click here the date on which you want to start the contest.', 'wp-photocontest');?>
						</td>
					</tr>		
				</table>
				<p style="text-align: center;"><input type="submit" name="mode" value="<?php _e('Edit Startdate', 'wp-photocontest'); ?>"  class="button" />&nbsp;&nbsp;<input type="button" name="cancel" value="<?php _e('Cancel', 'wp-photocontest'); ?>" class="button" onclick="javascript:history.go(-1)" /></p>
				<?php
				$show_list=false;
			break;
			// Change to date
			case 'changeto':
				$prq="SELECT contest_id, post_id, start_date, end_date, contest_path, contest_name, num_photo FROM ".$wpdb->prefix."photocontest_admin WHERE contest_id=".$contest_id;
				$out = $wpdb->get_row($prq);
				?>
				<input type="hidden" name="contest_id" value="<?php echo $contest_id; ?>" />
				<h3><?php _e('Edit Enddate', 'wp-photocontest'); ?></h3>
				<table class="form-table">
					<tr>
						<th width="20%" scope="row" valign="top"><?php _e('Enddate', 'wp-photocontest') ?>:</th>
						<td width="80%">
							<input type="text" name="photocontest_end_day" id="photocontest_end_day" size="30"><input type="reset" value=" ... " onclick="return showCalendar('photocontest_end_day', '%Y-%m-%d');">
							<br /><?php _e('Click here the date on which you want to finish the contest.', 'wp-photocontest');?>
						</td>
					</tr>		
				</table>
				<p style="text-align: center;"><input type="submit" name="mode" value="<?php _e('Edit Enddate', 'wp-photocontest'); ?>"  class="button" />&nbsp;&nbsp;<input type="button" name="cancel" value="<?php _e('Cancel', 'wp-photocontest'); ?>" class="button" onclick="javascript:history.go(-1)" /></p>
				<?php
				$show_list=false;
			break;
			
			// Refresh the page
			case 'refresh':
			
				$wppc_prp 		= new photoContest();
				$updated	= $wppc_prp->refresh_page($contest_id,$p);
				
				if ($updated)
				{
					$show_list=false;
					$text .= '<p style="color: green;">'.sprintf(__('Refreshing PhotoContest \'%s\' succesfull.', 'wp-photocontest'), stripslashes($contest_id)).'.<BR /> '.__('The result is shown below', 'wp-photocontest').':</p>';
				}
				else
				{
					$text .= '<p style="color: red;">'.sprintf(__('Failed to refresh the PhotoContest \'%s\'.', 'wp-photocontest'), stripslashes($contest_id)).'</p>';
				}
				$text .= '<p><fieldset style="background-color:#ffffff"><legend><strong>&nbsp;&nbsp;';
				$text .= __('Result', 'wp-photocontest');
				$text .= '</p></strong></legend>'.$updated.'</fieldset></p>';

			break;	
							
			// view the contest details
			case 'view_votes':
			
				$wppc_prp 		= new photoContest();
				$view_votes	= $wppc_prp->view_votes($img_id);
				
				if (!$view_votes)
				{
					$text .= '<p style="color: red;">'.sprintf(__('Failed to view the PhotoContest \'%s\'.', 'wp-photocontest'), stripslashes($contest_id)).'</p>';
					$text .= '<p style="color: red;">'.sprintf(__('No votes found in the PhotoContest.', 'wp-photocontest')).'</p>';
				}
				else
				{
					$view_votes_sorted	= wppc_multiArraySort($view_votes,'vote_time','ASC');
					$filter_post_id 	= $contest_id;
					$show_list			= false;
					?>
					<table class="widefat">
						<thead>
							<tr>
								<th><?php _e('Email', 'wp-photocontest');?></th>							
								<th><?php _e('Date', 'wp-photocontest');?> / <?php _e('Time', 'wp-photocontest');?></th>
								<th><?php _e('Vote', 'wp-photocontest');?></th>
								<th><?php _e('Captcha', 'wp-photocontest');?></th>
								<th><?php _e('ID', 'wp-photocontest');?></th>								
							</tr>
						</thead>
						<tbody>
						<?php
							foreach($view_votes_sorted as $view_votes)
							{
								if($i%2 == 0) {
									$style = 'class="alternate"';
								}  else {
									$style = '';
								}
								?>
								<tr <?php echo $style;?>>
									<td><?php echo $view_votes['voter_email'];?></td>
									<td><?php echo $view_votes['vote_time'];?></td>
									<td><?php echo $view_votes['vote'];?></td>
									<td><?php echo $view_votes['captcha_text'];?></td>
									<td><?php echo $view_votes['voter_id'];?></td>									
								</tr>								
								<?php
								$i++;
							}
						?>
						</tbody>
					</table>
					<BR />
					<?php
				}
				$show_list_replace_content = '<a href="'.$base_page.'&mode=view_contest&contest_id='.$contest_id.'">'.__('Back', 'wp-photocontest').'</a>';

			break;	

			
			// view the contest details
			case 'view_contest':
				// Update the visible of a img
				if (!empty($visible))
				{
					if ($visible == 'Y')
					{
						$visible_flag = 1;
					}
					else
					{
						$visible_flag = 0;
					}	
					$update_result = $wpdb->update
					(
						$wpdb->prefix.'photocontest',
						array( 'visibile' => $visible_flag),
						array( 'img_id' => $img_id ),
						array( '%d' ),
						array( '%d' )
					);
	
					if (!$update_result)
					{
						$text .= '<p style="color: red;">'.sprintf(__('Failed to update the visiblity for img \'%s\'.', 'wp-photocontest'), stripslashes($img_id)).'</p>';
						$text .= '<p style="color: red;">'.wppc_printDatabaseError().'</p>';
					}	
					else
					{	
						$contest_row	= (array) $wpdb->get_row( $wpdb->prepare( "SELECT contest_id FROM ".$wpdb->prefix."photocontest WHERE img_id = %d", $img_id) ); 
						$contest_id		= $contest_row['contest_id'];
						if ($contest_id) {
							$count_row	= (array) $wpdb->get_row( $wpdb->prepare( "SELECT count(*) as counter FROM ".$wpdb->prefix."photocontest WHERE visibile=1 AND contest_id= %d", $contest_id) ); 
							$counter	= $count_row['counter'];
							$update_counter = $wpdb->update
							(
								$wpdb->prefix.'photocontest_admin',
								array( 'num_photo' => $counter),
								array( 'contest_id' => $contest_id ),
								array( '%d' ),
								array( '%d' )
							);					
							if (!$update_counter)
							{
								$text .= '<p style="color: red;">'.sprintf(__('Failed to update the visiblity for img \'%s\'.', 'wp-photocontest'), stripslashes($img_id)).'</p>';
								$text .= '<p style="color: red;">'.wppc_printDatabaseError().'</p>';
							}	
							else
							{
								$text .= '<p style="color: green;">'.sprintf(__('Updated the visiblity for img \'%s\'.', 'wp-photocontest'), stripslashes($img_id)).'</p>';
								$wppc_prp 		= new photoContest();
								$updated	= $wppc_prp->refresh_page($contest_id,$p);	
							}					
						}
					}
				}
				
				$wppc_prp 			= new photoContest();
				$view_contest	= $wppc_prp->view_contest($contest_id,$p);
				//wppc_prx($view_contest);
				if (!$view_contest['data'])
				{
					$text .= '<p style="color: red;">'.sprintf(__('Failed to view the PhotoContest \'%s\'.', 'wp-photocontest'), stripslashes($contest_id)).'</p>';
					$text .= '<p style="color: red;">'.sprintf(__('No photos found in the PhotoContest.', 'wp-photocontest')).'</p>';
				}
				else
				{
					$contest_items_sorted = wppc_multiArraySort($view_contest['data'],'rank','DESC');
					$filter_post_id = $contest_id;
					$show_list=false;
					?>
					<table class="widefat">
						<thead>
							<tr>
								<th><?php _e('Preview', 'wp-photocontest');?></th>
								<th><?php _e('ID', 'wp-photocontest');?></th>
								<th><?php _e('Image name', 'wp-photocontest');?></th>
								<th><?php _e('Upload by', 'wp-photocontest');?></th>
								<th><?php _e('Date', 'wp-photocontest');?> / <?php _e('Time', 'wp-photocontest');?></th>
								<th width="200"><?php _e('Visible', 'wp-photocontest');?></th>
								<th><?php _e('Votes', 'wp-photocontest');?></th>
								<th><?php _e('Rank', 'wp-photocontest');?></th>
								<th colspan="3"><?php _e('Actions', 'wp-photocontest');?></th>
							</tr>
						</thead>
						<tbody>
						<?php
							foreach($contest_items_sorted as $contest_items)
							{
								if($i%2 == 0) {
									$style = 'class="alternate"';
								}  else {
									$style = '';
								}
								?>
								<tr <?php echo $style;?>>
									<td><a href="<?php echo get_option('siteurl');?><?php echo $contest_items['img_path'];?>" target="_blank"><img src="<?php echo get_option('siteurl');?><?php echo $contest_items['med_thumb'];?>" /></a></td>								
									<td><?php echo $contest_items['img_id'];?></td>
									<td><?php echo $contest_items['img_name'];?></td>
									<td><a href="<?php echo get_option('siteurl');?>/wp-admin/user-edit.php?user_id=<?php echo $contest_items['userid'];?>&wp_http_referer=%2Fwp251%2Fwp-admin%2Fusers.php"><?php echo $contest_items['userlogin'];?></a> (<?php echo $contest_items['userid'];?>)</td>
									<td><?php echo wppc_niceDateTime($contest_items['insert_time']);?></td>
									<td><?php
									if ($contest_items['visibile'] == 1)
									{
										_e('YES', 'wp-photocontest');
										echo ' (<a href="'.$base_page.'&mode=view_contest&img_id='.$contest_items['img_id'].'&contest_id='.$contest_id.'&v=N">';
										_e('click to deactivate', 'wp-photocontest');
										echo '</a>)';
									}
									else
									{
										_e('NO', 'wp-photocontest');
										echo ' (<a href="'.$base_page.'&mode=view_contest&img_id='.$contest_items['img_id'].'&contest_id='.$contest_id.'&v=Y">';
										_e('click to activate', 'wp-photocontest');
										echo '</a>)';										
									}	
									?>								
									</td>
									<td><?php echo $contest_items['nr_of_votes'];?></td>
									<td><?php echo $contest_items['rank'];?> %</td>
									<td><a href="<?php echo $base_page;?>&mode=view_votes&img_id=<?php echo $contest_items['img_id'];?>&contest_id=<?php echo $contest_id;?>"><?php _e('View votes', 'wp-photocontest'); ?></a></td>								
								</tr>								
								<?php
								$i++;
							}
						?>
						</tbody>
					</table>
					<BR />
					<?php
					$show_list_replace_content = '<a href="'.$base_page.'">'.__('Back', 'wp-photocontest').'</a>';
				}

			break;	

										
			// Delete the page
			case 'delete':
				$out		= (array) $wpdb->get_row( $wpdb->prepare( "SELECT contest_id, post_id, contest_path, contest_name FROM ".$wpdb->prefix."photocontest_admin WHERE contest_id = %d", $contest_id) ); 

				if ($out)
				{
					$contest_id 				= $out['contest_id'];
					$contest_path 				= $out['contest_path'];
					$photocontest_contest_name 	= $out['contest_name'];						

					$photocontest_index_path = $contest_path;

					// Check if directory exists
					if (!file_exists(dirname(__FILE__)."/".CONTESTS_PATH."/".$photocontest_index_path))
					{
						$text .= '<p style="color: red;">'.sprintf(__('Error in checking PhotoContest directory \'%s\'.', 'wp-photocontest'), stripslashes($photocontest_contest_name)).'</p>';
						$text .= '<p style="color: red;">'.__('There is no directory with this contest name.', 'wp-photocontest').'</p>';
						$text .= '<p style="color: red;">'.__('If you believe this is not correct, please remove the directory manualy', 'wp-photocontest').'</p>';
						break;		
					}			
					
					// Create upload directory
					$old_photo_directory=dirname(__FILE__)."/".CONTESTS_PATH."/".$photocontest_index_path;					
					$new_photo_directory=dirname(__FILE__)."/".CONTESTS_PATH."/".$contest_id."_".$photocontest_index_path;	
														
					if (!rename($old_photo_directory,$new_photo_directory))
					{
						$text .= '<p style="color: red;">'.sprintf(__('Error in checking PhotoContest directory \'%s\'.', 'wp-photocontest'), stripslashes($photocontest_contest_name)).'</p>';
						$text .= '<p style="color: red;">'.__('Failed to rename the directory.', 'wp-photocontest').'</p>';
						$text .= '<p style="color: red;">'.__('If you believe this is not correct, please rename the directory manualy', 'wp-photocontest').'</p>';
						break;	
					}
					
					
					$clear_photocontest_admin	= $wpdb->query( $wpdb->prepare( "DELETE FROM ".$wpdb->prefix."photocontest_admin  WHERE contest_id=%d",$contest_id ) );
					
					if (!$clear_photocontest_admin)
					{
						$text .= '<p style="color: red;">'.sprintf(__('Error in deleting PhotoContest \'%s\'.', 'wp-photocontest'), stripslashes($photocontest_contest_name)).'</p>';
						$text .= '<p style="color: red;">'.sprintf(__('Directory is empty, but database table \'%s\' delete failed', 'wp-photocontest'), $wpdb->prefix."photocontest_admin").'</p>';
						$text .= '<p style="color: red;">'.wppc_printDatabaseError().'</p>';
						break;		
					}	
										
					$image_array		= (array) $wpdb->get_results( $wpdb->prepare( "SELECT img_id FROM ".$wpdb->prefix."photocontest WHERE contest_id = %d", $contest_id) ); 
					if ($image_array)
					{
						foreach ($image_array as $img_id)
						{
							$delete_id = $img_id->img_id;
							$clear_photocontest_votes 	= $wpdb->query( $wpdb->prepare( "DELETE FROM ".$wpdb->prefix."photocontest_votes  WHERE img_id=%d",$delete_id ) );
	
						}
						
						$clear_photocontest 		= $wpdb->query( $wpdb->prepare( "DELETE FROM ".$wpdb->prefix."photocontest  WHERE contest_id=%d",$contest_id ) );
						if (!$clear_photocontest)
						{
							$text .= '<p style="color: red;">'.sprintf(__('Error in deleting PhotoContest \'%s\'.', 'wp-photocontest'), stripslashes($photocontest_contest_name)).'</p>';
							$text .= '<p style="color: red;">'.sprintf(__('Directory is empty, but database table \'%s\' delete failed', 'wp-photocontest'), $wpdb->prefix."photocontest").'</p>';
							$text .= '<p style="color: red;">'.wppc_printDatabaseError().'</p>';
							break;		
						}
					}						
															
					$text .= '<p style="color: green;">'.sprintf(__('Succes deleting PhotoContest \'%s\'.', 'wp-photocontest'), stripslashes($photocontest_contest_name)).'</p>';
				}
				else
				{
					$text .= '<p style="color: red;">'.sprintf(__('Error in deleting PhotoContest \'%s\'.', 'wp-photocontest'), stripslashes($photocontest_contest_name)).'</p>';
					$text .= '<p style="color: red;">'.__('Unknown PhotoContest', 'wp-photocontest').'</p>';
				}
		
			break;	
			
			case "show_tables":

				wppc_pr("photocontest_admin");
				$photocontest_admin		= (array) $wpdb->get_row( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."photocontest_admin") ); 
				wppc_pr($photocontest,"RESULT:");

				wppc_pr("photocontest");
				$photocontest		= (array) $wpdb->get_row( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."photocontest") ); 
				wppc_pr($photocontest,"RESULT:");

				wppc_pr("photocontest_votes");
				$photocontest_votes		= (array) $wpdb->get_row( $wpdb->prepare( "SELECT * FROM ".$wpdb->prefix."photocontest_votes") ); 
				wppc_pr($photocontest,"RESULT:");
						
			break;
			default:

			break;
		}
		
		if(!empty($text)) { 
			echo '<!-- Last Action --><div id="message" class="updated fade">'.stripslashes($text).'</div>'; 
		}		
		if ($show_list)
		{
			
			$pr_qlist = "SELECT contest_id, post_id, start_date, end_date, upload_date, contest_path, contest_name, max_photos, num_photo  FROM ".$wpdb->prefix."photocontest_admin";
			if ($filter_post_id)
			{
				$pr_qlist .= " WHERE post_id=".$filter_post_id;
			}
			$out		= (array) $wpdb->get_results( $wpdb->prepare($pr_qlist ) ); 
			if ($out)
			{
				?>
				<table class="widefat">
					<thead>
						<tr>
							<th><?php _e('Contest ID', 'wp-photocontest');?></th>
							<th><?php _e('Page ID', 'wp-photocontest');?></th>
							<th><?php _e('From', 'wp-photocontest');?></th>
							<th><?php _e('To', 'wp-photocontest');?></th>
							<th><?php _e('Upload untill', 'wp-photocontest');?></th>
							<th><?php _e('Path', 'wp-photocontest');?></th>
							<th><?php _e('Name', 'wp-photocontest');?></th>
							<th><?php _e('Max photos', 'wp-photocontest');?></th>
							<th><?php _e('Photo #', 'wp-photocontest');?></th>
							<th colspan="3"><?php _e('Actions', 'wp-photocontest');?></th>
						</tr>
					</thead>
					<tbody>
					<?php
					foreach ($out as $k => $v)
					{
						$v = (array) $v;
						$style = '';
						if($k%2 != 0) {
							$style = 'class="alternate"';
						}
						?>
						<tr <?php echo $style;?>>
							<td><?php echo $v['contest_id'];?></td>
							<td><a href="<?php echo get_option('siteurl');?>/?page_id=<?php echo $v['post_id'];?>"><?php echo $v['post_id'];?></a></td>
							<td><a href="<?php echo $base_page;?>&mode=changefrom&contest_id=<?php echo $v['contest_id'];?>"><?php echo wppc_niceDate($v['start_date']);?></a></td>
							<td><a href="<?php echo $base_page;?>&mode=changeto&contest_id=<?php echo $v['contest_id'];?>"><?php echo wppc_niceDate($v['end_date']);?></a></td>
							<td><?php echo wppc_niceDate($v['upload_date']);?></a></td>
							<td><?php echo $v['contest_path'];?></td>
							<td><?php echo $v['contest_name'];?></td>
							<td><?php echo $v['max_photos'];?></td>
							<td><?php echo $v['num_photo'];?></td>
							<td><a href="<?php echo $base_page;?>&mode=view_contest&contest_id=<?php echo $v['contest_id'];?>"><?php _e('View', 'wp-photocontest');?></a></td>
							<td><a href="<?php echo $base_page;?>&mode=refresh&contest_id=<?php echo $v['contest_id'];?>"><?php _e('Refresh', 'wp-photocontest');?></a></td>																
							<td><a href="<?php echo $base_page;?>&mode=delete&contest_id=<?php echo $v['contest_id'];?>"><?php _e('Delete', 'wp-photocontest');?></a></td>													
						</tr>
						<?php
					}
					?>
					</tbody>
				</table>
				<?php
			}
			else
			{
				?>
				<div class="updated fade" id="photocontest-warning" style="background-color: rgb(255, 255, 224);"><?php _e('Currently no contest availble.', 'wp-photocontest');?></div>
				<?php
			}
		}
		else
		{
			if(!empty($show_list_replace_content))
			{ 
				echo $show_list_replace_content; 
			}
			else
			{
				echo '<a href="javascript:history.go(-1)">';
				_e('Back', 'wp-photocontest');
				echo '</a>';
			}
		}
	?>
	</form>	
</div>

